Исправлено: Firefox 35 не может устанавливать дополнения и расширения.

Firefox только что обновился до версии 35 на моем текущем ПК. Я попытался установить новое дополнение (Session Manager, если вам интересно), но оно не установилось без причины. Выдает сообщение об ошибке. Надстройка не может быть установлена, потому что Firefox не может изменить необходимый файл.
Дополнение не может быть установлено Firefox 35
Вот как вы можете решить эту проблему, если она когда-либо случится на вашем компьютере.

Проблема заключается в новых настройках по умолчанию в Firefox 35. Из-за некоторой ошибки Firefox 35 был выпущен с отключенным API хранилища на стороне клиента! Это вызывает различные другие проблемы, помимо упомянутой в этом сообщении: мой предыдущий сеанс просмотра также не может быть восстановлен. Популярные надстройки вроде AdBlock или Ghostery со временем тоже перестают работать.
Вот как вы можете решить эту проблему:

  1. Откройте новую вкладку и введите в адресную строку следующий текст:
    about: config

    Подтвердите, что вы будете осторожны, если появится предупреждающее сообщение.

  2. Введите следующий текст в поле фильтра:
    dom.indexedDB.enabled

    dom.indexeddb.enabled

  3. Вы увидите параметр dom.indexedDB.enabled. Установлено значение false, что неверно. Установите значение true:
    dom.indexeddb.enabled true

Это решит все проблемы, вызванные неправильной конфигурацией Firefox. Перезапуск браузера не требуется. В моем случае я мог бы установить надстройку сразу:
фиксированный
Вот и все. Надеюсь, это будет вам полезно.

Добавить комментарий

Ваш адрес email не будет опубликован.